#
#  AX25D Configuration File.			/usr/local/etc/ax25d.conf
#
# Format for AX25:
#
# [AX.25 iface name]
# <peer>	Window	T1	T2	T3	IDLE	N2	<mode> <uid> <exec> <argv[0]> [<args....>]
#               unit    1/2 sec 1 sec   1 sec   1 min	unit
#               1-7/1-63                        	1-31
#
# KERNEL DFLTS  2       20      3       300     10	20
#
# Placing a '*' into the field will not alter it, so assuming the kernel
#   defaults, or those specified by the 'parameters' line (if this exists
#   above the entry being parsed).
#
# If <peer> does not have a SSID then *any* SSID will work.
#
# If <peer> is 'default' this will match any address, the absense of a
#   'default' will make the link disconnect, right after connection (that
#   is if no entry above it matched first).
#
# The order of peer list is important put the 'parameters' line first (to
#   setup the default params for those below) those addrs with SSIDs at
#   the top, then those without below and lastly the default entry (if any).
#
# NB - You can have multiple 'parameters' lines, and they only affect those on
#        the lines below under that specific port.
#
# <mode> is a collection of single letter flags whose meaning is:
#    V : Validate callsign (currently not supported).
#    Q : Don't log this connection, if logging is being run.
#    N : Check NET/ROM neighbour (currently not supported).
#    D : No digipeated uplinks.
#    L : Lockout, they are met with a disconnect.
#    - : Placeholder if no options are to be used.
#
# <args...>
# Command line substitution is possible with:
#   %U = User AX.25 call without SSID in UPPERCASE.
#   %u = User AX.25 call without SSID in lowerCASE.
#   %S = User AX.25 call with SSID in UPPERCASE.
#   %s = User AX.25 call with SSID in lowerCASE.
#
# To make your system listen on another callsign or alias then use the VIA
#   in the Interface spec.  IMHO it's a bad idea to listen for AX.25
#   connects with the same callsigns that are used for NETROM or VC mode IP.
#
#
# Interfaces.
[144]
parameters	2 10   2   900  60 15
[433]
parameters	2 10   2   900  60 15
[9k6]
parameters	2  4   1   1200  60 15
#[clu]
#parameters	7 10   2   900  15 15
#[mk0]
#parameters	7 10   2   900  15 15
#[ip1]
#parameters	7 10   2   900  15 15
#
[OH7RBA-2 VIA 144]
default		* *    *   *   *   * -  root	/usr/bin/node	node	144 %s
[OH7RBA-2 VIA 433]
default		* *    *   *   *   * -  root	/usr/bin/node	node	433 %s
[OH7RBA-2 VIA 9k6]
default		* *    *   *   *   * -  root	/usr/bin/node	node	9k6 %s
[OH7RBA-2 VIA cl0]
default		* *    *   *   *   * -  root	/usr/bin/node	node	clu %s
[OH7RBA-2 VIA mk0]
default		* *    *   *   *   * -  root	/usr/bin/node	node	mk0 %s
[OH7RBA-2 VIA ip1]
default		* *    *   *   *   * -  root	/usr/bin/node	node	ip1 %s
#
#
# Format for NETROM:
#
# <NETROM iface name>
# <peer>[@<nodecall>]	Window	T1	T2	T3	IDLE	N2	<mode> <uid> <exec> <argv[0]> [<args....>]
#			unit    second  second  NOTUSED minute	unit
#       	        1-127                           	1-31
#
# KERNEL DFLTS  	4       120     5       NOTUSED NOTUSED	3
#
# Placing a '*' into the field will not alter it, so assuming the kernel
#   defaults, or those specified by the 'parameters' line (if this exists
#   above the entry being parsed).
#
# If <peer> (or <nodecall>) does not have a SSID then *any* SSID will work.
#
# If <peer> is 'default' this will match any address, the absense of a
#   'default' will make the link disconnect, right after connection (that
#   is if no entry above it matched first).
#
# The order of peer's is important put the 'parameters' line first (to
#   setup the default params for those below) those addrs with SSIDs at
#   the top, then those without below and lastly the default entry (if any).
#
# NB - You can have multiple 'parameters' lines, and they only affect those on
#        the lines below under that specific port.
#
# Just "@<nodecall>" should be equivalent to "default@<nodecall>"
#
# <mode> is a collection of single letter flags whose meaning is:
#    V : Validate callsign (currently not supported).
#    Q : Don't log this connection, if logging is being run.
#    N : Check NET/ROM neighbour (currently not supported).
#    D : No digipeated uplinks.
#    L : Lockout, they are met with a disconnect.
#    - : Placeholder if no options are to be used.
#
# <args...>
# Command line substitution is possible with:
#   %U = User AX.25 call without SSID in UPPERCASE.
#   %u = User AX.25 call without SSID in lowerCASE.
#   %S = User AX.25 call with SSID in UPPERCASE.
#   %s = User AX.25 call with SSID in lowerCASE.
#   %P = Peer AX.25 call (NODE call) without SSID in UPPERCASE.
#   %p = Peer AX.25 call (NODE call) without SSID in lowerCASE.
#   %R = Peer AX.25 call (NODE call) with SSID in UPPERCASE.
#   %r = Peer AX.25 call (NODE call) with SSID in lowerCASE.
#
<nr0>
parameters	7 100 10  *   60  5
default		* *   *   *   *   *  -	root	/usr/bin/node	node nr0 %s
#
#
